Bug 154307 - ext3 check at boot doesn't work
ext3 check at boot doesn't work
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: e2fsprogs (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-09 11:49 EDT by Licia Leanza
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-13 14:53:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
here the file you asked for (15.20 MB, application/octet-stream)
2005-04-16 02:59 EDT, Licia Leanza
no flags Details
here it is a new one (15.35 MB, application/x-bzip)
2005-05-05 12:52 EDT, Licia Leanza
no flags Details

  None (edit)
Description Licia Leanza 2005-04-09 11:49:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1 StumbleUpon/1.9993

Description of problem:
After the upgrade to 1.36 I wasn't able to reboot my FC3 (#1) because at boot time it said / was corrupted and I'd have to run fsck without -a or -p option. 
I run it with -y, but after a repairing like session it didn't boot in the same way. 
I booted an other FC3 (#2) from a different partion and fsck -y (version 1.35) was able to repair / of FC3 #1. I could mount it from FC3 #2 and it worked fine.
Going back to FC3 #1 everythings went on in the same way.
Booting again from FC3 #2  it found FC #1 / bad again (evenif before it said it was OK and during that time the only thing occurred  was a boot check with version 1.36).
So I went back definitively  on FC3 #2 guessing about an hw problem on that partion but accidentally I updated to version 1.36 on FC3 #2 too. At this point everythings repeated the same with / of FC3 #2. 
I was able to boot from a 3rd partion and to replace all 1.36 files with the 1.35 ones on both FC3s.
Now, after a successfull fsck -y (version 1.35) on both /, I can use both FC3s again.
I don't know how to help with other information an so I'll enter the log of 2 consecutive runs of fsck on FC3 #2 when it had ver. 1.35 and FC3 #1 was just corrupted. After every wrong boot check with version 1.36 I got always the same log with the rapairing with version 1.35.

# /sbin/fsck /dev/hda10
fsck 1.35 (28-Feb-2004)
e2fsck 1.35 (28-Feb-2004)
/123 contains a file system with errors, check forced.
Pass 1: Checking inodes, blocks, and sizes
Duplicate blocks found... invoking duplicate block passes.
Pass 1B: Rescan for duplicate/bad blocks
Duplicate/bad block(s) in inode 691505: 32781
Pass 1C: Scan directories for inodes with dup blocks.
Pass 1D: Reconciling duplicate blocks
(There are 1 inodes containing duplicate/bad blocks.)

File /usr/bin/libnetcfg (inode #691505, mod time Tue Oct 12 18:54:59 2004)
has 1 duplicate block(s), shared with 0 file(s):
Duplicated blocks already reassigned or cloned.

Pass 2: Checking directory structure
Pass 3: Checking directory connectivity
Pass 4: Checking reference counts
Pass 5: Checking group summary information
/123: 231989/2272928 files (5.1% non-contiguous), 4067908/4540362 blocks
# /sbin/fsck /dev/hda10
fsck 1.35 (28-Feb-2004)
e2fsck 1.35 (28-Feb-2004)
/123: clean, 231989/2272928 files, 4067908/4540362 blocks



Version-Release number of selected component (if applicable):
e2fsprogs-1.36-1.FC3.1

How reproducible:
Always

Steps to Reproduce:
As I described on my system. 
If you need any information on it please conctact me. I'll wait a while before reformat my bad partition.

Additional info:
Comment 1 Stephen Tweedie 2005-04-09 16:40:59 EDT
"it said / was corrupted"

What was the exact message?  To even guess at what's going on I'd need to see
the messages from the 1.36 fsck, not just the 1.35 one.  Thanks.
Comment 2 Licia Leanza 2005-04-09 19:18:22 EDT
(In reply to comment #1)

Sorry that the answer took long but I had to update another time and copy
everything by hand.
I do not translate the text to be more precise and also because I think you are
quite familiar with it.
Please note that one line is in spanish instead that in italian and it has a bad
format [Passo 1D].
The update to 1.36 it's OK and so I reboot and almost at the beginning I get:

Controllo del filesystem di root:
/123: INCONSISTENZA INASPETTATA: ESEGUIRE fsck MANUALMENTE.
        (es., senza le opzioni -a o -p )
                                                                               
    [FALLITO]

Boot stops and the only things I can do are to log in as root or to boot with
Ctrl-D, so I log in.

(Riparare il filesystem) 1# fsck /dev/hda10
fsck 1.36 (05-Feb-2005)
e2fsck 1.36 (05-Feb-2005)
Resize inode not valid. Ricrea <s>?sì

/123 contiene un filesystem con errori, controllo forzato.
Paso 1: Controllo di inode, blocco(i) e dimensioni
Blocco(i) duplicati trovati . invocare i passi relativi ai blocco(i) duplicati.
Passo 1B: Nuova analisi relativa ai blocco(i) duplicati/non validi
Blocco duplicato / non valido(i)in inode 7: 32781
Blocco duplicato / non valido(i)in inode 691505: 32781
Passo 1C: Analisi delle directory relativa agli inode con blocco(i) duplicati.
Passo 1D: Reconciling duplicate bloccos  
    (Ci sono %n inode contenenti blocco(i) duplicato/non valido(i).)

Il file <Inode del descrittore di gruppo> (inode #7, ultima modifica Sun Apr 10
00:14:30 2005)
  ha 0 blocco(i) duplicati, condivisi con 1 file:
      /usr/bin/libnetcfg (inode #691505, ultima modifica Tue Oct 12 18:54:59 2004)
Clona i blocchi duplicati/non validi <s>? sì

Il file  /usr/bin/libnetcfg (inode #691505, ultima modifica Tue Oct 12 18:54:59
2004)
  ha 0 blocco(i) duplicati, condivisi con 1 file:
      <Inode del descrittore di gruppo> (inode #7, ultima modifica Sun Apr 10
00:14:30 2005)
Blocco(i) duplicati già riassegnati o clonati:

Passo 2: Analisi della struttura delle directory.
Passo 3: Controllo della connettività delle directory.
Passo 4:  Controllo del numero dei riferimnti
Passo 5: Checking gruppo summary information.

Numero dei blocco(i) liberi errato per il gruppo #0 (65535, contati=0).
Sistema <s>? sì
Numero dei blocco(i) liberi errato per il gruppo #1 (6586, contati=6585).
Sistema <s>? sì
/123: ***** IL FILESYSTEM E' STATO MODIFICATO *****
/123: ***** RIAVVIARE LINUX *****
/123: 232080/2272928 files (51% non contigui), 4051710/4540362 blocchi.


I hope this could help. Let me know if you need any other information.
Licia.
Comment 3 Stephen Tweedie 2005-04-11 07:03:52 EDT
Hmm.  I'm really not sure what's happening here, but I'd like to look into this
a bit more.  Would you be willing to let me see a compressed image of this
filesystem?  That won't include data, but will include all of the metadata
needed to reproduce this problem.

"e2image -r /dev/hda10 - | bzip2 > hda10.bz2" will create the compressed
metadata image.
Comment 4 Licia Leanza 2005-04-16 02:59:54 EDT
Created attachment 113270 [details]
here the file you asked for
Comment 5 Stephen Tweedie 2005-04-18 12:03:05 EDT
Unfortunately, I get CRC errors at block 66 when trying to decompress that
attachment.
Comment 6 Licia Leanza 2005-05-05 12:52:41 EDT
Created attachment 114061 [details]
here it is a new one

(sorry I was abroad)
Comment 7 John Thacker 2007-01-13 14:53:37 EST
(This is a mass update to bugs which have been in NEEDINFO unmodified for over a
year and are for a currently unsupported version of Fedora Core.)

Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.